﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.49.0'
# *** Automatically filled ***

if (!$Env:ChocolateyForce -and $version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.49.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.49.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = '8ec58a3ddaec1c993f08ae66d9874b0c888353d9c4c2a40cdc4791f65896b266'
    checksumType   = 'sha256'
    checksum64     = '8a240a17642875c0aeb925cae81d5800fe58452022945423cfa44b3378912d8c'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
